setlocal

REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%"\bin;%PATH%

REM CD to the local Crossworlds directory so we pick up
REM the java.exe and dlls required

cd /d "%CROSSWORLDS%"

set SERVERNAME=%1

REM MQ java client library path 
set MQ_LIB=%MQ_LIB%

set COLLABUTILS="%CROSSWORLDS%"\lib\CollabUtils.jar

set JAVA="%CROSSWORLDS%"\lib\rt.jar;
set JAVA_SECURITY="%CROSSWORLDS%"\lib\ibmjcefw.jar;"%CROSSWORLDS%"\lib\ibmjceprovider.jar;"%CROSSWORLDS%"\lib\local_policy.jar;"%CROSSWORLDS%"\lib\US_export_policy.jar

set CWCLASSES="%CROSSWORLDS%"\lib\crossworlds.jar;"%CROSSWORLDS%"\lib\cworion.jar;"%CROSSWORLDS%"\lib\CodeGeneration.jar

set DATAHANDLER="%CROSSWORLDS%"\DataHandlers\CwDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar

set XMLPARSER="%CROSSWORLDS%"\lib\xerces.jar;"%CROSSWORLDS%"\lib\cworion.jar

set ORB1="%CROSSWORLDS%"\lib\vbjorb.jar

set DATADIRECT="%CROSSWORLDS%"\lib\xwbase.jar;"%CROSSWORLDS%"\lib\xwutil.jar;"%CROSSWORLDS%"\lib\xwsqlserver.jar;"%CROSSWORLDS%"\lib\xworacle.jar

set DB2="%CROSSWORLDS%"\lib\db2java.zip

set JAVAMAIL="%CROSSWORLDS%"\connectors\Email\JavaMail-Sun\mail.jar;"%CROSSWORLDS%"\connectors\Email\JavaMail-Sun\activation.jar

set JCLASSES=%JAVA%;%JAVA_SECURITY%;%CWCLASSES%;"%MQ_LIB%";%ORB1%;%DB2%;%DATADIRECT%;%COLLABUTILS%;%CWUTILS%;%DATAHANDLER%;%XMLPARSER%;%JAVAMAIL%


REM This is the  -mx param value for the Interchange Server's memory heap
set CW_MEM_HEAP=512

REM Start the InterChange Server
"%CROSSWORLDS%\bin\java" -server -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.StandardParserConfiguration -Djava.ext.dirs="%MQ_LIB%" -Duser.home="%CROSSWORLDS%" -mx%CW_MEM_HEAP%m -DCW_MEMORY_MAX=%CW_MEM_HEAP%  -DORBNamingProvider=VisiBroker -classpath %JCLASSES% ServerWrapper -s%SERVERNAME% %2 %3

endlocal
